{%- set relative_path = "../../../" %}
{%- include "header.html" %}
{%- include "menu.html" %}
<div class="hitbox-effect">
<div class="container">
    <div class="row">
    <div class="col-md-12 table-responsive">
    <table class="table table-bordered table-condensed">
        <thead>
            <tr>
                <th rowspan="2">
                    <label{% if has_unknown_diff %} class="changed"{% endif %}>Hide Unknowns <input type="checkbox" autocomplete="off" checked onclick="$('.unknown').toggle()"/></label>
                </th>
                <th colspan="4">Hit</th>
                <th colspan="4">Counter Hit</th>
                <th colspan="2">Guard</th>
            </tr>
            <tr>
                <th>Stand</th>
                <th>Crouch</th>
                <th>OTG</th>
                <th>Air</th>
                <th>Stand</th>
                <th>Crouch</th>
                <th>OTG</th>
                <th>Air</th>
                <th>Stand</th>
                <th>Crouch</th>
            </tr>
        </thead>
        <tbody>
        {%- set row_order = ["HIT_STAND", "HIT_CROUCH", "HIT_OTG", "HIT_AIR", "COUNTERHIT_STAND", "COUNTERHIT_CROUCH", "COUNTERHIT_OTG", "COUNTERHIT_AIR", "GUARD_STAND", "GUARD_CROUCH"] %}
        {%- macro row(a, row_class="") %}
            <tr class="{{ row_class }}">
                <th scope="row">{{ a }}</th>
                {%- set current_row = effect_rows[a] %}
                {%- for colspan, value, diff in current_row %}
                    <td colspan="{{ colspan }}" class="{{ diff[0]}}"{% if diff[0] == "changed" %} data-toggle='tooltip' data-placement='top' title="was {{ caller(diff[1])|replace("<br>", ", ") }}"{% endif %}><span>{{ caller(value) }}</span></td>
                {%- endfor %}
            </tr>
        {%- endmacro %}
        {%- call(v) row("Type") %}{{ v }}{%- endcall %}
        {%- call(v) row("Script") %}{{ v }}{%- endcall %}
        {%- call(v) row("Flag") %}{{ v|default([], true)|join('<br>')}}{%- endcall %}
        {%- call(v) row("Damage") %}{{ v }}{%- endcall %}
        {%- call(v) row("Stun") %}{{ v }}{%- endcall %}
        {%- call(v) row("EXAttacker") %}{{ v }}{%- endcall %}
        {%- call(v) row("EXDefender") %}{{ v }}{%- endcall %}
        {%- call(v) row("VGauge") %}{{ v }}{%- endcall %}
        {%- call(v) row("VTimer") %}{{ v }}{%- endcall %}
        {%- call(v) row("HitFreezeAttacker") %}{{ v }}{%- endcall %}
        {%- call(v) row("HitFreezeDefender") %}{{ v }}{%- endcall %}
        {%- call(v) row("MainRecoveryDuration") %}{{ v }}{%- endcall %}
        {%- call(v) row("KnockdownDuration") %}{{ v }}{%- endcall %}
        {%- call(v) row("KnockBack") %}{{ v|round(6) }}{%- endcall %}
        {%- call(v) row("FallSpeed") %}{{ v|round(6) }}{%- endcall %}
        {%- call(v) row("JuggleStart") %}{{ v }}{%- endcall %}
        {%- call(v) row("DamageScalingGroup") %}{{ v }}{%- endcall %}
        {%- for uk in unknowns %}
            {%- call(v) row(uk, "unknown") %}{{ v|round(6) if v is number else v }}{%- endcall %}
        {%- endfor %}
        </tbody>
    </table>
</div>
    </div></div></div>
<script>
    $(".unknown").hide();
    $('[data-toggle="tooltip"]').tooltip({container: 'body'});
</script>
{%- include "footer.html" %}